{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    # installées systématiquement
    ./environment.nix
    ./localisation.nix
    #./network-ipv6.nix
    ./sudo.nix
    ./service-haveged.nix
    ./service-monitoring.nix
    ./service-ssh.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./app-awesome.nix           # pour les profils awesome
    ./app-cao.nix               # de conception assisté par ordinateur & modélisation
    ./app-cartographie.nix      # utilisée pour manipuler les données géographiques & cartes
    ./app-developpement.nix     # utilisée pour développer des programmes/scripts
    ./app-docker.nix            # pour activer docker
    ./app-edition-musique.nix   # pour modifier les fichiers musicaux
    ./app-edition-photo.nix     # pour modifier les photos & assimilé
    ./app-edition-video.nix     # pour modifier les vidéos
    ./app-jeux.nix              # permettant de jouer ;)
    ./app-virtualbox.nix        # pour exploiter virtualbox
    ./auto-upgrade.nix          # mise à jour automatique du système
    ./laptop.nix                # appli & configuration adaptée pour un PC portable
    ./print.nix                 # configuration de base de cups
    ./service-laptop.nix        # services spécifiques aux pc portables
    ./service-locate.nix        # service locate
    ./swap.nix                  # définition de l'utilisation du swap

    ## if isDesktop
    ./app-adminsys.nix          # pour gérer le système dans son ensemble et les services
    ./app-bureautique.nix       # dédiée à la bureautique (traitement de texte, dessin, ...)
    ./app-client-internet.nix   # pour accéder & utiliser des ressources par le réseau
    ./app-multimedia.nix        # pour gérer le son, l'image et la vidéo
    ./app-network.nix           # de gestion, de diagnostique & surveillance réseau
    ./app-securite.nix          # relatives à la sécurité (chiffrement, gpg, mots de passe, ...)
    ./service-pulseaudio.nix    # activation du serveur audio
    ./service-x11.nix           # activation du serveur graphique X
  ];
}
